From 23fd2ec24cd8a5e9d1685ffa448db55788e7b45a Mon Sep 17 00:00:00 2001
From: Nikolai Kostrigin <nickel@altlinux.org>
Date: Thu, 17 Sep 2020 15:11:10 +0300
Subject: [PATCH 2/2] mki-copy-efiboot-chrooted: fix label variable visibility
 scope

add_grub_cfg() being called from copy_refind() was broken due to
$label was not set in that scope causing "unbound variable" error

++ add_grub_cfg
++ cat
/.host/efiboot-chrooted: line 348: label: unbound variable
++ :
++ copy_kernel
---
 tools/mki-copy-efiboot-chrooted | 8 +++-----
 1 file changed, 3 insertions(+), 5 deletions(-)

diff --git a/tools/mki-copy-efiboot-chrooted b/tools/mki-copy-efiboot-chrooted
index 80b1887..a75a3b8 100644
--- a/tools/mki-copy-efiboot-chrooted
+++ b/tools/mki-copy-efiboot-chrooted
@@ -223,8 +223,6 @@ copy_grub()
 
 	cp $verbose -Lf /boot/grub/fonts/unicode.pf2 "$boot/fonts"
 	cp $verbose -Lf /boot/grub/unifont.pf2 "$boot"
-
-	# add_grub_cfg
 }
 
 refind_add_stage_submenu()
@@ -263,7 +261,7 @@ refind_add_stage_submenu()
 
 refind_add_stage2()
 {
-	local root icon splash label loader options
+	local root icon splash loader options
 
 	for root in $stage2; do
 		case "$root" in
@@ -369,7 +367,7 @@ refind_cfg_add_autodetect() {
 
 copy_refind()
 {
-	local refind_aux refind_boot refind_bootia32 refind_icons icon_format scan_icon
+	local label refind_aux refind_boot refind_bootia32 refind_icons icon_format scan_icon
 
 	refind_aux="$efi/refind"
 	refind_boot="$refind_aux/refind_x64.efi"
@@ -459,7 +457,7 @@ copy_refind()
 		REFIND_EOF
 	} > "$boot/refind_ia32.conf"
 
-	add_grub_cfg || :
+	add_grub_cfg
 }
 
 #find out if all bootloader stages have ia32 binaries in the package
-- 
2.25.4

